import os

from vsphere_ui import VSPHERE_UI_ROOT_DIR

VIRGO_INSTANCE_BASE_DIR = os.path.join(VSPHERE_UI_ROOT_DIR, 'server')
VIRGO_INSTANCE_CONFIG_DIR = os.path.join(VIRGO_INSTANCE_BASE_DIR, 'configuration')
VIRGO_INSTANCE_REPOSITORY_DIR = os.path.join(VIRGO_INSTANCE_BASE_DIR, 'repository')
VIRGO_INSTANCE_WRAPPER_DIR = os.path.join(VIRGO_INSTANCE_BASE_DIR, 'wrapper')
TOMCAT_CONFIG_DIR = os.path.join(VIRGO_INSTANCE_BASE_DIR, 'conf')
SERVER_XML_FILE = os.path.join(TOMCAT_CONFIG_DIR, 'server.xml')
